org.icefaces.ace.component.dynamicresource

## Enum DynamicResourceBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<DynamicResourceBase.PropertyKeys>
  - - org.icefaces.ace.component.dynamicresource.DynamicResourceBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DynamicResourceBase.PropertyKeys>
  Enclosing class:
    DynamicResourceBase

      protected static enum DynamicResourceBase.PropertyKeys
      extends java.lang.Enum<DynamicResourceBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accesskey`
    `attachment`
    `disabled`
    `fileName`
    `image`
    `label`
    `lastModified`
    `mimeType`
    `resource`
    `scope`
    `style`
    `styleClass`
    `target`
    `type`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static DynamicResourceBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DynamicResourceBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accesskey

          public static final DynamicResourceBase.PropertyKeys accesskey

    - #### attachment

          public static final DynamicResourceBase.PropertyKeys attachment

    - #### disabled

          public static final DynamicResourceBase.PropertyKeys disabled

    - #### fileName

          public static final DynamicResourceBase.PropertyKeys fileName

    - #### image

          public static final DynamicResourceBase.PropertyKeys image

    - #### label

          public static final DynamicResourceBase.PropertyKeys label

    - #### lastModified

          public static final DynamicResourceBase.PropertyKeys lastModified

    - #### mimeType

          public static final DynamicResourceBase.PropertyKeys mimeType

    - #### resource

          public static final DynamicResourceBase.PropertyKeys resource

    - #### scope

          public static final DynamicResourceBase.PropertyKeys scope

    - #### style

          public static final DynamicResourceBase.PropertyKeys style

    - #### styleClass

          public static final DynamicResourceBase.PropertyKeys styleClass

    - #### target

          public static final DynamicResourceBase.PropertyKeys target

    - #### type

          public static final DynamicResourceBase.PropertyKeys type

  - ### Method Detail

    - #### values

          public static DynamicResourceBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DynamicResourceBase.PropertyKeys c : DynamicResourceBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DynamicResourceBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DynamicResourceBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.